#include <bits/stdc++.h>
using namespace std;
int main()
{
    int n, l;
    bool found = false;
    cin >> n >> l;
    vector<int> h(n);
    for (int &i : h)
    {
        cin >> i;
    }
    for (int i = 0; i < n; i++)
    {
        if (h[i] <= l)
        {
            cout << i + 1;
            found = true;
            break;
        }
    }
    if (!found)
        cout << -1;
}